Eclipse Platform Release 3.7

## org.eclipse.swt.events
Class ShellEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.swt.internal.SWTEventObject
              org.eclipse.swt.events.TypedEvent
                  org.eclipse.swt.events.ShellEvent

All Implemented Interfaces:
  Serializable

    public final class ShellEvent

extends TypedEvent

Instances of this class are sent as a result of operations being performed on shells.

See Also:
  `ShellListener`, Sample code and further information, Serialized Form

Field Summary
`boolean` `doit` A flag indicating whether the operation should be allowed.

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, time, widget`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ShellEvent(Event e)` Constructs a new instance of this class based on the information in the given untyped event.

Method Summary
`String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### doit

    public boolean doit

  A flag indicating whether the operation should be allowed. Setting this field to `false` will cancel the operation.

Constructor Detail

### ShellEvent

    public ShellEvent(Event e)

  Constructs a new instance of this class based on the information in the given untyped event.

  Parameters:
    `e` - the untyped event containing the information

Method Detail

### toString

    public String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Overrides:
    `toString` in class `TypedEvent`
  Returns:
    a string representation of the event

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.